qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Goldstein <andy.goldst...@redhat.com>
Subject Re: qpid-route tool
Date Wed, 06 Jun 2012 13:40:37 GMT
Hi Nitin,

Do you happen to have the python-qpid-qmf RPM installed by any chance, version 0.14-*, or
the python QMF library from 0.14?  The issue you're running into is because the qmf.console
package (which contains the addBroker method) was updated for 0.16 to allow you to specify
**kwargs, but it looks like the version that python is finding on your system is still the
old one.

Andy

On Jun 6, 2012, at 8:29 AM, Nitin Shah wrote:

> This is the message I had sent out 2 days ago. Can someone guide me .
> 
> I am running the 0-16 C_++ broker and issuing this command gives this error. Can someone
point me to what is going on.
> 
> qpid-route link list
> Failed: TypeError - addBroker() got an unexpected keyword argument 'client_properties'
> 
> Thanks
> Nitin
> 
> 
> ========== Previous message ================
> _______
> Hi Guys,
> 
> The version 0-16 of the tool qpid-route utility does not seem to work . I sent the message
out yesterday, but no one responded. I ran the version 0-14 of the tools release against 0-16
broker and that seems to at least come back with a reasonable answer. Can someone answer what
action am I supposed to take to fix this problem?
> 
> Thanks
> 
> Nitin
> 
> [cid:image001.png@01CD4324.9D7003E0]
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message